# Uses of Class
javax.help.plaf.HelpNavigatorUI

Packages that use HelpNavigatorUI
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic

## Uses of HelpNavigatorUI in javax.help

Methods in javax.help that return HelpNavigatorUI
Modifier and Type
Method
Description
`HelpNavigatorUI`
JHelpNavigator.`getUI()`
Returns the HelpUI that provides the current look and feel.
Methods in javax.help with parameters of type HelpNavigatorUI
Modifier and Type
Method
Description
`void`
JHelpNavigator.`setUI(HelpNavigatorUI ui)`
Sets the HelpUI that provides the current look and feel.

## Uses of HelpNavigatorUI in javax.help.plaf.basic

Subclasses of HelpNavigatorUI in javax.help.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicFavoritesNavigatorUI`
The default UI for JHelpNavigator of type Favorites
`class`
`BasicGlossaryNavigatorUI`
The default UI for JHelpNavigator of type Glossary.
`class`
`BasicIndexNavigatorUI`
The default UI for JHelpNavigator of type Index.
`class`
`BasicSearchNavigatorUI`
`class`
`BasicTOCNavigatorUI`
The default UI for JHelpNavigator of type TOC.